org.apache.mina.filter.codec.serialization

## Class ObjectSerializationOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.mina.filter.codec.serialization.ObjectSerializationOutputStream

- All Implemented Interfaces:
    Closeable, DataOutput, Flushable, ObjectOutput, AutoCloseable

      public class ObjectSerializationOutputStream
      extends OutputStream
      implements ObjectOutput

  An `ObjectOutput` and `OutputStream` that can write the objects as the serialized form that `ObjectSerializationDecoder` can decode.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectSerializationOutputStream(OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `int` | `getMaxObjectSize()` Returns the allowed maximum size of the encoded object.
    `void` | `setMaxObjectSize(int maxObjectSize)` Sets the allowed maximum size of the encoded object.
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`
    `void` | `writeBoolean(boolean v)`
    `void` | `writeByte(int v)`
    `void` | `writeBytes(String s)`
    `void` | `writeChar(int v)`
    `void` | `writeChars(String s)`
    `void` | `writeDouble(double v)`
    `void` | `writeFloat(float v)`
    `void` | `writeInt(int v)`
    `void` | `writeLong(long v)`
    `void` | `writeObject(Object obj)`
    `void` | `writeShort(int v)`
    `void` | `writeUTF(String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectSerializationOutputStream

          public ObjectSerializationOutputStream(OutputStream out)

  - ### Method Detail

    - #### getMaxObjectSize

          public int getMaxObjectSize()

      Returns the allowed maximum size of the encoded object. If the size of the encoded object exceeds this value, this encoder will throw a `IllegalArgumentException`. The default value is `Integer.MAX_VALUE`.

    - #### setMaxObjectSize

          public void setMaxObjectSize(int maxObjectSize)

      Sets the allowed maximum size of the encoded object. If the size of the encoded object exceeds this value, this encoder will throw a `IllegalArgumentException`. The default value is `Integer.MAX_VALUE`.

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `ObjectOutput`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in interface `ObjectOutput`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Specified by:
        `write` in interface `ObjectOutput`
      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Specified by:
        `write` in interface `ObjectOutput`
      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Specified by:
        `write` in interface `ObjectOutput`
      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### writeObject

          public void writeObject(Object obj)
                           throws IOException

      Specified by:
        `writeObject` in interface `ObjectOutput`
      Throws:
        `IOException`

    - #### writeBoolean

          public void writeBoolean(boolean v)
                            throws IOException

      Specified by:
        `writeBoolean` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeByte

          public void writeByte(int v)
                         throws IOException

      Specified by:
        `writeByte` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeBytes

          public void writeBytes(String s)
                          throws IOException

      Specified by:
        `writeBytes` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChar

          public void writeChar(int v)
                         throws IOException

      Specified by:
        `writeChar` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChars

          public void writeChars(String s)
                          throws IOException

      Specified by:
        `writeChars` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeDouble

          public void writeDouble(double v)
                           throws IOException

      Specified by:
        `writeDouble` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeFloat

          public void writeFloat(float v)
                          throws IOException

      Specified by:
        `writeFloat` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeInt

          public void writeInt(int v)
                        throws IOException

      Specified by:
        `writeInt` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeLong

          public void writeLong(long v)
                         throws IOException

      Specified by:
        `writeLong` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeShort

          public void writeShort(int v)
                          throws IOException

      Specified by:
        `writeShort` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeUTF

          public void writeUTF(String str)
                        throws IOException

      Specified by:
        `writeUTF` in interface `DataOutput`
      Throws:
        `IOException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.